﻿@model FQ.MD.WEB.ViewModels.Form.MenuEditForm
@using FQ.MD.WEB.Resources

@{
    ViewBag.Title = Res.Edit;
}

<nav aria-label="breadcrumb">
    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="/"><i class="fas fa-home"></i> Dashboard</a></li>
        <li class="breadcrumb-item"><a href="@Url.Action("Index")">@Res.Menus</a></li>
        <li class="breadcrumb-item active" aria-current="page">@ViewBag.Title</li>
    </ol>
</nav>


<div class="card">
    <div class="card-header">
        <div class="row">
            <div class="col-6">
                <h5 class="color-brand">@ViewBag.Title</h5>
            </div>
        </div>
    </div>
    <div class="card-body">
        @using (Html.BeginForm())
        {
            @Html.AntiForgeryToken()
            <div class="form-horizontal">
                @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                @Html.HiddenFor(model => model.MenuId)
                <div class="form-group row">
                    <label class="control-label col-md-2">@Res.Group</label>
                    <div class="col-md-6">
                        @Html.EditorFor(model => model.Key, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })
                        @Html.ValidationMessageFor(model => model.Key, "", new { @class = "text-danger" })
                    </div>
                </div>

                <div class="form-group row">
                    <label class="control-label col-md-2">@Res.Description</label>
                    <div class="col-md-6">
                        @Html.EditorFor(model => model.Description, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.Description, "", new { @class = "text-danger" })
                    </div>
                </div>

                <div class="form-group row">
                    <label class="control-label col-md-2">@Res.Url</label>
                    <div class="col-md-6">
                        @Html.EditorFor(model => model.Url, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.Url, "", new { @class = "text-danger" })
                    </div>
                </div>

                <div class="form-group row">
                    <label class="control-label col-md-2">@Res.Icon</label>
                    <div class="col-md-6">
                        @Html.EditorFor(model => model.Icon, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.Icon, "", new { @class = "text-danger" })
                    </div>
                </div>

                <div class="form-group row">
                    <label class="control-label col-md-2">@Res.Sequence</label>
                    <div class="col-md-6">
                        @Html.EditorFor(model => model.Sequence, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.Sequence, "", new { @class = "text-danger" })
                    </div>
                </div>

                <div class="form-group row">
                    <label class="control-label col-md-2">@Res.Parent</label>
                    <div class="col-md-6">
                        @Html.DropDownList("ParentId", null, htmlAttributes: new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.ParentId, "", new { @class = "text-danger" })
                    </div>
                </div>

                <div class="form-group row">
                    <label class="control-label col-md-2">@Res.Status</label>
                    <div class="col-md-6">
                        @Html.CheckBoxFor(model => model.IsActive, new { @checked = "checked" })
                        @Res.IsActive
                        @Html.ValidationMessageFor(model => model.IsActive, "", new { @class = "text-danger" })
                    </div>
                </div>

                <div class="form-group row">
                    <div class="offset-md-2 col-md-6">
                        <input type="submit" value="@Res.Edit" class="btn btn-sm btn-primary" />
                        <input type="reset" value="@Res.Reset" class="btn btn-sm btn-danger" />
                    </div>
                </div>
            </div>
        }
    </div>
</div>